Summary:	Gnapster is a simple gnome client that implement the napster protocol
Name:		gnapster
Version:	1.5.0
Release:	1
License:	GPL
Group:		Applications/Communications
Packager: 	linuxkid <linux@peanutlinux.org>
Source0:	http://jasta.gotlinux.org/files/%{name}-%{version}.tar.gz
Source1:        gnapster.desktop
URL:		http://jasta.gotlinux.org/gnapster.html
BuildRequires:	ORBit-devel >= 0.5.8
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	db3-devel
BuildRequires:	esound-devel
BuildRequires:	gtk+-devel >= 1.2.10
BuildRequires:	gettext-devel
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_prefix		/usr
%define		_sysconfdir	/etc/X11/gnapster

%description
Gnapster is a small but powerfull client for the napster (mp3
comunity) protocol, written for Gnome by Jasta. If you would like to
contribute, please contact Jasta <jasta@gotlinux.org>.

%prep
%setup -q

rm -f po/essai.po

%build
rm -f missing
libtoolize --copy --force
gettextize --copy --force
aclocal -I macros
autoconf
automake -a
CFLAGS="$RPM_OPT_FLAGS"
%configure \
	--enable-shared=yes \
	--enable-static=no \
	--disable-gnome \
	--with-catgets \
	--disable-nls

%{__make} CFLAGS="-Os -mcpu=i386 -fno-strength-reduce"

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
/*
